# GCC_NetworkAddress_subtype_aggregatedChannel Class Reference

`#include <gcc.h>`

Inheritance diagram for GCC_NetworkAddress_subtype_aggregatedChannel:

List of all members.

## Public Types

enum | OptionalFields { e_subAddress, e_extraDialing, e_highLayerCompatibility }

## Public Member Functions

| GCC_NetworkAddress_subtype_aggregatedChannel (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

GCC_NetworkAddress_subtype_aggregatedChannel_transferModes | m_transferModes
GCC_DialingString | m_internationalNumber
GCC_SubAddressString | m_subAddress
GCC_ExtraDialingString | m_extraDialing
GCC_NetworkAddress_subtype_aggregatedChannel_highLayerCompatibility | m_highLayerCompatibility

## Member Enumeration Documentation

enum GCC_NetworkAddress_subtype_aggregatedChannel::OptionalFields

Enumerator:

  e_subAddress |
  e_extraDialing |
  e_highLayerCompatibility |

## Constructor & Destructor Documentation

GCC_NetworkAddress_subtype_aggregatedChannel::GCC_NetworkAddress_subtype_aggregatedChannel | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX GCC_NetworkAddress_subtype_aggregatedChannel::GetDataLength | ( |  | ) | const

PBoolean GCC_NetworkAddress_subtype_aggregatedChannel::Decode | ( | PASN_Stream & | strm | ) |

void GCC_NetworkAddress_subtype_aggregatedChannel::Encode | ( | PASN_Stream & | strm | ) | const

void GCC_NetworkAddress_subtype_aggregatedChannel::PrintOn | ( | ostream & | strm | ) | const

Comparison GCC_NetworkAddress_subtype_aggregatedChannel::Compare | ( | const PObject & | obj | ) | const

PObject* GCC_NetworkAddress_subtype_aggregatedChannel::Clone | ( |  | ) | const

## Member Data Documentation

GCC_NetworkAddress_subtype_aggregatedChannel_transferModes GCC_NetworkAddress_subtype_aggregatedChannel::m_transferModes

GCC_DialingString GCC_NetworkAddress_subtype_aggregatedChannel::m_internationalNumber

GCC_SubAddressString GCC_NetworkAddress_subtype_aggregatedChannel::m_subAddress

GCC_ExtraDialingString GCC_NetworkAddress_subtype_aggregatedChannel::m_extraDialing

GCC_NetworkAddress_subtype_aggregatedChannel_highLayerCompatibility GCC_NetworkAddress_subtype_aggregatedChannel::m_highLayerCompatibility

The documentation for this class was generated from the following file:

- gcc.h